Update Environment MCP
curl --request PATCH \
--url https://api.tryreplicas.com/v1/environments/{environmentId}/mcps/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"config": {
"command": "<string>",
"args": [
"<string>"
],
"env": {}
}
}
'import requests
url = "https://api.tryreplicas.com/v1/environments/{environmentId}/mcps/{id}"
payload = {
"name": "<string>",
"config": {
"command": "<string>",
"args": ["<string>"],
"env": {}
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', config: {command: '<string>', args: ['<string>'], env: {}}})
};
fetch('https://api.tryreplicas.com/v1/environments/{environmentId}/mcps/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"environment_mcp": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"environment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"config": {
"command": "<string>",
"args": [
"<string>"
],
"env": {}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Environments
Update Environment MCP
Updates an MCP. Only provided fields are changed. When changing transport, config is required and must match the new transport’s shape.
PATCH
/
v1
/
environments
/
{environmentId}
/
mcps
/
{id}
Update Environment MCP
Authorizations
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys. User-session JWTs are not accepted by /v1/replica endpoints.
Path Parameters
Environment UUID, or the literal string global.
MCP UUID
Body
application/json
Request body for updating an MCP. Only provided fields are changed. When transport is changed, config is required and must match the new transport's shape.
Response
MCP updated
An MCP (Model Context Protocol) server attached to an environment.
Show child attributes
Show child attributes
⌘I